
Database - Feature #1851

database performance/scalability tuning

10/30/2012 03:21 PM - Eric Faulhaber

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 240.00 hours

Target version: Performance and Scalability

Improvements

  

billable: No vendor_id: GCD

Description

Related issues:

Related to Database - Bug #3031: FOR EACH can access shared transient records... New

History

#1 - 10/30/2012 03:27 PM - Eric Faulhaber

This is a parent issue to which to add more granular tasks regarding performance and scalability tuning of the P2J persistence conversion tools and

runtime framework.

Starting ideas (not a complete list):

more granular/better 2nd level cache (especially on read-only tables)

make adaptive query support multi-table (currently, all non-preselect, multi-table queries are converted to CompoundQuery, which is relatively

slow)

#2 - 10/31/2012 03:59 PM - Greg Shah

- Target version set to Milestone 17

#3 - 11/16/2016 12:30 PM - Greg Shah

- Target version changed from Milestone 17 to Performance and Scalability Improvements
